Refunds

Refund card or open banking payments

post

Return the funds to the customer's bank.If refunding a payment that is not yet captured it will be cancelled

Authorizations
OpenID ConnectRequired

This API uses OAuth 2 with the client credentials flow. More info

Path parameters
versionstringRequired
Header parameters
X-Request-Idstring · uuidRequired

ID of the request, unique to the call, as determined by the initiating party

Body

The request for refunding a payment

paymentIdstring · max: 64Required

Unique ID of the payment

Responses
chevron-right
200

OK

application/json

The response after refunding a card payment

paymentIdstring · max: 64Optional

Unique ID of the refunded payment

refundIdstring · max: 64Optional

Unique ID of the refund

refundStatusstring · enumOptional

Current status of the refund

Possible values:
post
/egw/{version}/refunds

Revert refund for open banking payments

patch

If the refund turns out to be unsuccessful it can be revertedto align the payment status and amount with the real state

Authorizations
OpenID ConnectRequired

This API uses OAuth 2 with the client credentials flow. More info

Path parameters
refundIdstring · max: 64Required

Unique ID of the refund

versionstringRequired
Header parameters
X-Request-Idstring · uuidRequired

ID of the request, unique to the call, as determined by the initiating party

Responses
chevron-right
200

OK

application/json

The response after reversing a refund

paymentIdstring · max: 64Optional

Unique ID of the refunded payment

refundIdstring · max: 64Optional

Unique ID of the refund

refundStatusstring · enumOptional

Current status of the refund

Possible values:
patch
/egw/{version}/refunds/{refundId}/revert

Last updated

Was this helpful?